Create Metrics Write Credential
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
name?string
agentId?string
Optional: omit or leave empty when the credential is not tied to an agent.
expiresAt?string
Optional expiry; omit for non-expiring machine tokens.
Format
date-timeResponse Body
application/json
curl -X POST "https://api.noderings.com/v1/metrics-write-credentials" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "agentId": "string", "expiresAt": "string"}'{
"credential": {
"id": "string",
"publicId": "string",
"name": "string",
"scopes": [
"string"
],
"agentId": "string",
"organizationId": "string",
"createTime": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"revokedAt": "2019-08-24T14:15:22Z",
"lastUsedAt": "2019-08-24T14:15:22Z"
},
"token": "string"
}